Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057994 - PRD34 - [RFE] Make default VNC console mode configurable
Summary: PRD34 - [RFE] Make default VNC console mode configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Frantisek Kobzik
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On: 1035719
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 11:40 UTC by Itamar Heim
Modified: 2014-06-09 15:01 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Enhancement
Doc Text:
It is now possible to configure the default console mode for a virtual machine by selecting either Native Client or noVNC.
Clone Of: 1035719
Environment:
Last Closed: 2014-06-09 15:01:52 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 20222 None None None Never

Description Itamar Heim 2014-01-26 11:40:31 UTC
+++ This bug was initially created as a clone of Bug #1035719 +++

Description of problem:
Add an (engine-wide) option to configure default VNC client
console mode (both SPICE and RDP have this option already).

Reason:
Since there are multiple invocation methods for VNC available, it makes sense to have the default invocation method configurable (as in SPICE and RDP case).

--- Additional comment from Frantisek Kobzik on 2013-11-28 09:02:53 EST ---

Merged U/S as 5371c0815633adc9de37d10e657c31795b38475e

--- Additional comment from Frantisek Kobzik on 2013-12-02 07:58:11 EST ---



--- Additional comment from Sandro Bonazzola on 2014-01-13 08:56:29 EST ---

oVirt 3.4.0 alpha has been released including the fix for this issue.

--- Additional comment from Yedidyah Bar David on 2014-01-23 05:15:53 EST ---

1. Installed ovirt-engine from 3.4 beta and setup
2. Verified that if creating a VM with display protocol VNC, it defaults to Native client
3. Did 'engine-config -s ClientModeVncDefault=NoVnc' and then 'service ovirt-engine restart'
4. Created a VM with display VNC, started it, opened console, NoVNC was started

Comment 1 Ilanit Stein 2014-02-06 11:50:59 UTC
Please review this TCMS test case:
https://tcms.engineering.redhat.com/case/337017/?from_plan=3736

Thanks,
Ilanit

Comment 2 Frantisek Kobzik 2014-02-06 13:39:40 UTC
Hi Ilanit, i've just sent you an email.

Comment 5 Ilanit Stein 2014-03-04 12:56:45 UTC
Verified on ovirt-3.4.0-beta3
Run TCMS test plan, and it passed:
https://tcms.engineering.redhat.com/run/118597/

Comment 6 errata-xmlrpc 2014-06-09 15:01:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.